gr::mapper::mapper_impl Class Reference

`#include <mapper_impl.h>`

Inheritance diagram for gr::mapper::mapper_impl:
[legend]

## Public Member Functions

| mapper_impl (modtype_t modtype, std::vector< int > symbol_values)
| ~mapper_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::mapper
typedef boost::shared_ptr< mapper > | sptr
Static Public Member Functions inherited from gr::mapper::mapper
static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::mapper.

## Constructor & Destructor Documentation

## mapper_impl()

gr::mapper::mapper_impl::mapper_impl | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values
| ) |  |

## ~mapper_impl()

gr::mapper::mapper_impl::~mapper_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::mapper::mapper_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- mapper_impl.h